GNU bug report logs - #34620
opam fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Gabriel Hondet <gabrielhondet@HIDDEN>; dated Fri, 22 Feb 2019 20:58:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 34620 <at> debbugs.gnu.org:


Received: (at 34620) by debbugs.gnu.org; 24 Feb 2019 10:16:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 24 05:16:00 2019
Received: from localhost ([127.0.0.1]:49850 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxqpE-0001CV-Eo
	for submit <at> debbugs.gnu.org; Sun, 24 Feb 2019 05:16:00 -0500
Received: from lepiller.eu ([89.234.186.109]:51980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1gxqpC-0001CL-VQ
 for 34620 <at> debbugs.gnu.org; Sun, 24 Feb 2019 05:15:59 -0500
Received: from [192.168.1.88] (95.141.35.15 [95.141.35.15])
 by lepiller.eu (OpenSMTPD) with ESMTPSA id 7e0e88a2
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Sun, 24 Feb 2019 10:15:54 +0000 (UTC)
Date: Sun, 24 Feb 2019 11:15:37 +0100
User-Agent: K-9 Mail for Android
In-Reply-To: <878sy51vik.fsf@HIDDEN>
References: <87ef7z1r0q.fsf@HIDDEN>
 <handler.34620.B.155086902325807.ack <at> debbugs.gnu.org>
 <87bm321lx2.fsf@HIDDEN> <878sy51vik.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#34620: Acknowledgement (opam fails)
To: Gabriel Hondet <gabrielhondet@HIDDEN>,34620 <at> debbugs.gnu.org
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <1E11E517-AD19-4999-B775-9D17B081B36E@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34620
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Le 24 f=C3=A9vrier 2019 08:43:47 GMT+01:00, Gabriel Hondet <gabrielhondet@g=
mail=2Ecom> a =C3=A9crit :
>Hello,
>
>Wrapping works except that the binary can't find libraries, how can I
>add the libraries of the profile (e=2Eg=2E =3Dasm/socket=2Eh=3D or =3Dcrt=
i=2Eo=3D) in
>the wrapper?  The matter is to get the path of a profile (as if it was
>a
>package in the ~inputs~ of the function)=2E
>
>Gabriel

Can you share whbt you've done so far?




Information forwarded to bug-guix@HIDDEN:
bug#34620; Package guix. Full text available.

Message received at 34620 <at> debbugs.gnu.org:


Received: (at 34620) by debbugs.gnu.org; 24 Feb 2019 07:44:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 24 02:44:03 2019
Received: from localhost ([127.0.0.1]:49781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxoSA-0005rj-OH
	for submit <at> debbugs.gnu.org; Sun, 24 Feb 2019 02:44:02 -0500
Received: from mail-wr1-f51.google.com ([209.85.221.51]:39478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gxoS9-0005r7-7l
 for 34620 <at> debbugs.gnu.org; Sun, 24 Feb 2019 02:44:01 -0500
Received: by mail-wr1-f51.google.com with SMTP id l5so6560781wrw.6
 for <34620 <at> debbugs.gnu.org>; Sat, 23 Feb 2019 23:44:01 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:subject:in-reply-to:date:message-id
 :mime-version; bh=UFp+NvGNsC7Nbt2FLJsxpW/YdfWFg/vRIF2OB6Itjic=;
 b=nTH4shudKmfWbhStyYtQ/PP7QwqT6R8aMqymmCjtZ9m2LTyVU/o031j4/JUCt6IQpv
 lOGxdNAuROxr2NIvI54CQW+Iax4w28e7msxi9jYakx0OTxsl2oIOdfeo0FGyEHwazpHf
 A8049CeozD8rtOy8JJWhzjpo4nIAzTi2EXItbr6C5Q7wdHxMPv2PwqPkoik6hkcFsszZ
 JorLEC/beIBO9uKWBtyZmJDxD8iPUHIdp9g/eiDEvFWMAg9ggAkYlhGzOShCRprPYCT2
 2+P1L5AU8L7vEPscUrO2cnEi6rwhD32qNLu/RLRosFPKrOHw5QjOSnRab5kYYizyX/O8
 IkEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:subject
 :in-reply-to:date:message-id:mime-version;
 bh=UFp+NvGNsC7Nbt2FLJsxpW/YdfWFg/vRIF2OB6Itjic=;
 b=AC4wln8V78vcacSujSR4YIAhXHBPMAenpMdKWGFoTboUT8fnXWrg1nl1ADQARTW++V
 I1aEYI6z9YwpkOBfPhxzwbRxRixXGbviFojTk8RS90YJUE726bCiJNk5iN0tJGDDosMN
 AfM2Epaq17zFzxLgriXVO49Ruu5UJi1F/A+Q0OFzF5fGzyAGCpqJGcTjq3ZKj0lROkM8
 tuLEEwbkCYY1qa88Sq13//32h1UnKy3QeuIT4KgpUSB/W7FaZdip/at+F3HPODtzkiUY
 9xR9o350ZC+vrTUtJqULc1kTKWzLRk5oHp4DVY00oesvzY1mWtrKhiv61RT7VQlCUR/+
 V7LA==
X-Gm-Message-State: AHQUAuYyFxaMHWybxzYcbL/YB73U5aQ38ESb1M+OZfTA0plmAHDJZIZx
 1M3oxVLMBD8nfpY6+hgGLRvAUkJi
X-Google-Smtp-Source: AHgI3IaJzOVeZ8a/p/5kzLvo0aQOh/ek6oUJi+w2tdsbBt7fCqiGv7DbXPogNlolAPzYMFt5roLoBg==
X-Received: by 2002:a5d:4804:: with SMTP id l4mr8791730wrq.177.1550994235230; 
 Sat, 23 Feb 2019 23:43:55 -0800 (PST)
Received: from glht-aurore.gmail.com
 (2a01cb04062c860082fa5bfffe3823d7.ipv6.abo.wanadoo.fr.
 [2a01:cb04:62c:8600:82fa:5bff:fe38:23d7])
 by smtp.gmail.com with ESMTPSA id u4sm3223203wmb.25.2019.02.23.23.43.53
 for <34620 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Sat, 23 Feb 2019 23:43:54 -0800 (PST)
References: <87ef7z1r0q.fsf@HIDDEN>
 <handler.34620.B.155086902325807.ack <at> debbugs.gnu.org>
 <87bm321lx2.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
To: 34620 <at> debbugs.gnu.org
Subject: Re: bug#34620: Acknowledgement (opam fails)
In-reply-to: <87bm321lx2.fsf@HIDDEN>
Date: Sun, 24 Feb 2019 08:43:47 +0100
Message-ID: <878sy51vik.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34620
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hello,

Wrapping works except that the binary can't find libraries, how can I
add the libraries of the profile (e.g. =asm/socket.h= or =crti.o=) in
the wrapper?  The matter is to get the path of a profile (as if it was a
package in the ~inputs~ of the function).

Gabriel

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlxySzMACgkQMbyBBfZZ
1CXf3w/7BqAHbxxB0h9Iy5NzPP+of25DPpkVdBTBvFL1TkTPDYWXiDfzUVH1sakA
qR2/mXPw0dO8EJJXayVNN0PVIOu0LNeyBQVi2bFZfEbu//6wo2Xr9DbEf3vjBWVv
iOMXBtmmucQGanso32rnpA3POqKh4q8RCXiM1L8O+5X7Z78gTF5fwftPxURx3XIq
AlG0qxfy9dh1YiYPc0UaSXhhQskmg6dn3Yr7x/o6i3PGU/ANrCm3KawxSB8+0/zG
t6LrS6Dql8JObJsrdfKwaMHDwpnLacbMlq0NIfmpOIBMnbFwCW+zDi6E/+PQz4zX
jIyIIMDsfVn2AywRyEdBBKlsJ27kyeH+oBf5oiyhMIlgG88SKNANfb5XcyFT/VBt
Akb3okJXBgfQpcjVILC/4eMio7Qi1oMwg+T1OU0YSlgTslJsGhy/cCgmyKfbEmRD
0cwFpQshoxyqOTumFAEJUG8oGOYmOsSPGF5UhfMYD4usB242ADPSyOrci0X2ZVdY
eJQ+cdxiGnlQP6k/KJpanK4YOxdhgGt5PQVgriqjOUJWmoZ9zq8f190pI79AWa8A
FAl1EKOIENYaDR03hnbt2g7+oYdZCoxu5xCry5EhWKfMEt7ND83CmXOzIaACPunm
GoA0FIJkqEjy6H3l62ARuBa2WCPoEk/9NrCo3jfIhIdAuHEboOg=
=zq1W
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34620; Package guix. Full text available.

Message received at 34620 <at> debbugs.gnu.org:


Received: (at 34620) by debbugs.gnu.org; 23 Feb 2019 16:59:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 11:59:00 2019
Received: from localhost ([127.0.0.1]:49574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxadg-0001gb-2H
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 11:59:00 -0500
Received: from mail-wm1-f48.google.com ([209.85.128.48]:38865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gxade-0001gK-4c
 for 34620 <at> debbugs.gnu.org; Sat, 23 Feb 2019 11:58:58 -0500
Received: by mail-wm1-f48.google.com with SMTP id v26so4541064wmh.3
 for <34620 <at> debbugs.gnu.org>; Sat, 23 Feb 2019 08:58:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:subject:in-reply-to:date:message-id
 :mime-version; bh=auJiIPvYw63pwVqW5vng4bQHUKdBk/0cxT5V/V7CZq0=;
 b=HWPZcImMRG9lYJsjRz0sZU/HG0f17tNXmCQaG9mimPHGe876cOXAYivwaTbjCq1rhY
 Sj3yLIE66WbXi/j+SH4pT4INSEqmk+4AQ20IzQ07hAb1mToprSshCUvBKxJQOqNTnHy2
 FTnsUeKiMX3tyGCl0/vtjqOfGslDIZSr7JdZtfpJ2rHZytCRZiy+DnF77H9T1OH7P/ub
 DFdzqtfEWqrweb6A1OOwepO2PvemU2QdQ0penQcO31+pCR4mWu2D0n2T9RTa6VKkiYFh
 BpDPDKa9q4//g/J/4MUfP7cl0qDy6HwlSvzTBiQeb9wCsz9TG8HyB2qXc2LIXzRGRl/E
 GcUQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:subject
 :in-reply-to:date:message-id:mime-version;
 bh=auJiIPvYw63pwVqW5vng4bQHUKdBk/0cxT5V/V7CZq0=;
 b=Wi2QEDilGdCiwyKtKEaKwv4yc47vqPPXmAOv74D23C8p5Vgvbp0pup9GHWHQSW0sD4
 BHc81fTyS2RJsI0pfaunU8OI0Ns5HfakY10D8obEixs8Mjwte5Menw2UcIjSmusWm3mU
 s+fmNOk2sa/edbQ77N4RTxOeScah2/iNDaqeL/YY53HIWXl6zaIeAt9iuW90ERbI5KLX
 JV6cVqAbC4svdnB5KAV30o8TP4LRpNPsSiu1JCz3VuRZfTHpFy+BFOwzv4ZelsCoAkOd
 sBkjxi8w3VldAc0kUFhup0BDxHQ3bcivYOctKe1v8q/5yvRzhj2rbZtME84RfYIEART/
 5HuA==
X-Gm-Message-State: AHQUAubqwnKi9pYm5uvqqUydOhkgSo3rJVnrY9Lfpafmwc6rquZp3opd
 Abw9pynTjZ9LkRAYoB1qEfLeXCol
X-Google-Smtp-Source: AHgI3Iaz1stLI/WLxz33Hp9uDHyMDz2ChpaBTrbQPj1sbDoO2Qll7wUqsBT6G4tCz20Bdop3qakDhg==
X-Received: by 2002:a1c:96ce:: with SMTP id y197mr6048184wmd.36.1550941131811; 
 Sat, 23 Feb 2019 08:58:51 -0800 (PST)
Received: from glht-aurore.gmail.com
 (2a01cb04062c860082fa5bfffe3823d7.ipv6.abo.wanadoo.fr.
 [2a01:cb04:62c:8600:82fa:5bff:fe38:23d7])
 by smtp.gmail.com with ESMTPSA id r70sm2878464wme.46.2019.02.23.08.58.50
 for <34620 <at> debbugs.gnu.org>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Sat, 23 Feb 2019 08:58:51 -0800 (PST)
References: <87ef7z1r0q.fsf@HIDDEN>
 <handler.34620.B.155086902325807.ack <at> debbugs.gnu.org>
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
To: 34620 <at> debbugs.gnu.org
Subject: Re: bug#34620: Acknowledgement (opam fails)
In-reply-to: <handler.34620.B.155086902325807.ack <at> debbugs.gnu.org>
Date: Sat, 23 Feb 2019 17:58:49 +0100
Message-ID: <87bm321lx2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 34620
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi again,

After some experiments, and after looking at what did Nix, it seems that
wrapping opam does the trick (with a .opam-real and a opam).  I'll try
this and make a patch.

Cheers,
Gabriel


--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlxxe8oACgkQMbyBBfZZ
1CXcbA/+IjNqT4WbE2hC6bf7lLmcbphB8Cs+J38ugewrkodHOTVA7Q1hZBbMJw9M
1aAzIBuAwUbUEYHyU/5bx0iA5g8GHel5G1mJG16lSaJwuaNS4pSJTaoaXI1MYLvj
txzHp0aedfh5xiht6hRu4SNzRoKgnSlpAYFcg0OiyL1wjaxFh44bX3cDOwRtuAHU
fUjA8O44Po4mOIeM5LsJlIlsUgSrCnr6wl+Qtoqk3dAC5/X16zY6eDg0t25ozTEl
eAjQa45fLjxxSPzSLRp2XEHegraeRzlNOXa6RANPBlu2UcVFynnikU3i12E21gH5
IPqcN0ReXRADDhSZIf1gi3c7nyfvD6DMD+tE3CBVtg7l9T1TOxYD4ct6GKK9PRKk
UayT45sN7gqsfnoEBlP1FAQOrJzq238eT3/WJEA/dGjr1lWEnwEI6SbM9xxQDVpt
xsXkg7x49oJy6J4SHerfGFbQc03dfbSWzCDhDCCblyRWp42pSejsyTAP4P88Q8BD
HitEKHR7W8gOrro/4V1B/dIcYH4VHIu5tffPcrmlqOtBisJ4b0qxWrHG9DuJxxlB
PwJO/XYTIMbVhvXBZ9Kat62MuQAEnQHEGz/H/gdtIFz6Drl+b1L6GfrpTeMQZP2j
4eL7jw9rS/5FshMLorGpH2+9GYhOnXY/By0lBvWoZ4LufA25Ml8=
=vKDI
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#34620; Package guix. Full text available.

Message received at 34620 <at> debbugs.gnu.org:


Received: (at 34620) by debbugs.gnu.org; 22 Feb 2019 21:41:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 16:41:51 2019
Received: from localhost ([127.0.0.1]:48628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxIZr-0007rw-LT
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 16:41:51 -0500
Received: from lepiller.eu ([89.234.186.109]:51942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <julien@HIDDEN>) id 1gxIZo-0007rj-F7
 for 34620 <at> debbugs.gnu.org; Fri, 22 Feb 2019 16:41:50 -0500
Received: from [10.219.107.137] (62-210-116-201.rev.poneytelecom.eu
 [62.210.116.201]) by lepiller.eu (OpenSMTPD) with ESMTPSA id e74b11ff
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256:NO); 
 Fri, 22 Feb 2019 21:41:42 +0000 (UTC)
Date: Fri, 22 Feb 2019 22:41:35 +0100
User-Agent: K-9 Mail for Android
In-Reply-To: <87ef7z1r0q.fsf@HIDDEN>
References: <87ef7z1r0q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#34620: opam fails
To: Gabriel Hondet <gabrielhondet@HIDDEN>,34620 <at> debbugs.gnu.org
From: Julien Lepiller <julien@HIDDEN>
Message-ID: <338B07A5-8A13-4526-BC9F-B9A38E7C899E@HIDDEN>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le 22 février 2019 21:56:21 GMT+01:00, Gabriel Hondet <gabrielhondet@HIDDEN>
    a écrit : >Hi, > >When I try to use opam, it fails: > >$ opam install menhir
    > >#=== ERROR while compiling ocaml-syste [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ocaml.org]
  1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in
                             bl.spamcop.net
              [Blocked - see <https://www.spamcop.net/bl.shtml?62.210.116.201>]
  1.3 URI_HEX                URI: URI hostname has long hexadecimal sequence
X-Debbugs-Envelope-To: 34620
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Le 22 février 2019 21:56:21 GMT+01:00, Gabriel Hondet <gabrielhondet@HIDDEN>
    a écrit : >Hi, > >When I try to use opam, it fails: > >$ opam install menhir
    > >#=== ERROR while compiling ocaml-syste [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gen_ocaml_config.ml]
  1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in
                             bl.spamcop.net
              [Blocked - see <https://www.spamcop.net/bl.shtml?62.210.116.201>]
  1.3 URI_HEX                URI: URI hostname has long hexadecimal sequence
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Le 22 f=C3=A9vrier 2019 21:56:21 GMT+01:00, Gabriel Hondet <gabrielhondet@g=
mail=2Ecom> a =C3=A9crit :
>Hi,
>
>When I try to use opam, it fails:
>
>$ opam install menhir
>
>#=3D=3D=3D ERROR while compiling ocaml-system=2E4=2E07=2E1
>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D#
># context     2=2E0=2E1 | linux/x86_64 |  | https://opam=2Eocaml=2Eorg#34=
f81c06
># path        ~/=2Eopam/default/=2Eopam-switch/build/ocaml-system=2E4=2E0=
7=2E1
># command     ~/=2Eopam/opam-init/hooks/sandbox=2Esh build ocaml
>gen_ocaml_config=2Eml
># exit-code   1
># env-file    ~/=2Eopam/log/ocaml-system-12254-60459a=2Eenv
># output-file ~/=2Eopam/log/ocaml-system-12254-60459a=2Eout
>### output ###
># bwrap: execvp ocaml: No such file or directory
>
>and if I do (in fish)
>$ set -x OPAM_USER_PATH_RO /home/gabriel/=2Eguix-profile/bin/
>
>then I obtain the error:
>
>$ opam install menhir
>
>#=3D=3D=3D ERROR while compiling ocaml-system=2E4=2E07=2E1
>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D#
># context     2=2E0=2E1 | linux/x86_64 |  | https://opam=2Eocaml=2Eorg#34=
f81c06
># path        ~/=2Eopam/default/=2Eopam-switch/build/ocaml-system=2E4=2E0=
7=2E1
># command     ~/=2Eopam/opam-init/hooks/sandbox=2Esh build ocaml
>gen_ocaml_config=2Eml
># exit-code   1
># env-file    ~/=2Eopam/log/ocaml-system-13887-6cc03f=2Eenv
># output-file ~/=2Eopam/log/ocaml-system-13887-6cc03f=2Eout
>### output ###
># bwrap: Can't mkdir parents for /home/gabriel/=2Eguix-profile/bin/: No
>such file or directory
>
>Any idea on how to fix this?
>
>Thanks,
>Gabriel

That's thc limit of opam here, it always tries to install ocaml package wi=
th the ocaml compiler=2E Don't you have a compiler in your switch already t=
hough? If so, I wonder why it's not found=2E Could you try to modify your $=
PATH to add it?




Information forwarded to bug-guix@HIDDEN:
bug#34620; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2019 20:57:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 15:57:03 2019
Received: from localhost ([127.0.0.1]:48596 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxHsV-0006iB-9m
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 15:57:03 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53296)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gxHsT-0006hf-3q
 for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 15:57:02 -0500
Received: from lists.gnu.org ([209.51.188.17]:35366)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gxHsC-000245-UN
 for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 15:56:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39382)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gxHsB-0003z9-Ol
 for bug-guix@HIDDEN; Fri, 22 Feb 2019 15:56:44 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 URIBL_BLOCKED,URI_HEX autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gabrielhondet@HIDDEN>) id 1gxHs9-0001yP-Rr
 for bug-guix@HIDDEN; Fri, 22 Feb 2019 15:56:43 -0500
Received: from mail-wr1-x442.google.com ([2a00:1450:4864:20::442]:33252)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <gabrielhondet@HIDDEN>)
 id 1gxHs9-0001iH-D9
 for bug-guix@HIDDEN; Fri, 22 Feb 2019 15:56:41 -0500
Received: by mail-wr1-x442.google.com with SMTP id i12so3807857wrw.0
 for <bug-guix@HIDDEN>; Fri, 22 Feb 2019 12:56:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=poqes8FHf85iQEow0s2c7pRd7WggAPJYQAucaUoT6Ak=;
 b=oWJGzv9RsRdggmcz9vvAwAWrv8LXUES5llhEUhAZS8mCEpVaGvFXrr5UTK5xYfcVaw
 nzy8zxezmJKwogCZQeYofDMzg39M2qqmhuVO1gE0W82Hzx4h4SKrpNy3KNg9+wYCmR+V
 zqLZeuEOXpBkV3lf0oMx8oxjf6bImbKFE/XPkrAhfYQiLuiueT8WiVsPgpjYSGLhzkbu
 kdnW2XNXr1F3B784We3Hpdumz2RqC2OwvPQF4n5bx1VCYlAtJzDhhpXkpa/bRlpasqJc
 9zqhYDXMLZnJ4owM4O5rBfoDT7V0JgNmGcFpXe0PjRvouK81le2RxMhokVpU7VZuj5zz
 xTMg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=poqes8FHf85iQEow0s2c7pRd7WggAPJYQAucaUoT6Ak=;
 b=IOBSP9JCJ7xmBtFgYtyNc97/Gwf3qrt2w6+Mwhm6bjdvvX4RXdszJakvNCMV4QuWDd
 2tw50Kr6Xu0fLlVwXpowInmkZr6Ltx5e8pwMNC93J+7Sb/NcVP6ZEEDlmPyDQuG3+0vC
 4NylVW5f4zgCpuQtF1elxr5WtIpYOttgIHUsxltZQY+cFz/X55PgpzBS9bfqwsEYmII9
 Eh1OT4pGSyaT08ktrIOVND6gby1xcKHo5zNpx4uNHGxUdkpIeLEU0cqXLGnXONIliQHb
 VXGy86udCZhBz0vpUUvF5w4uXk4h81DR9xbxloW6SBkbibmMvdGISbJ3cEDrDVcgODBh
 vrJw==
X-Gm-Message-State: AHQUAuaH9jZD5wJDKcOZqP/sFCicTyXBSlHh5Fzy4kNapSm/EfT81Dao
 IBQSgPaJgETc857c9dkSrqQ5J27g
X-Google-Smtp-Source: AHgI3IaZVB+KXRKYrdG8inRVaRtVZmphzNloRirVZTCMayacb5cVk+4M19TdYwm3JDCLEy6X7sA/SQ==
X-Received: by 2002:a5d:4145:: with SMTP id c5mr4252843wrq.256.1550868987688; 
 Fri, 22 Feb 2019 12:56:27 -0800 (PST)
Received: from glht-aurore.gmail.com
 (2a01cb04062c860082fa5bfffe3823d7.ipv6.abo.wanadoo.fr.
 [2a01:cb04:62c:8600:82fa:5bff:fe38:23d7])
 by smtp.gmail.com with ESMTPSA id h9sm4750856wrv.11.2019.02.22.12.56.26
 for <bug-guix@HIDDEN>
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 22 Feb 2019 12:56:26 -0800 (PST)
User-agent: mu4e 1.0; emacs 26.1
From: Gabriel Hondet <gabrielhondet@HIDDEN>
To: bug-guix@HIDDEN
Subject: opam fails
Date: Fri, 22 Feb 2019 21:56:21 +0100
Message-ID: <87ef7z1r0q.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::442
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, When I try to use opam, it fails: $ opam install menhir
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ocaml.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.92 listed in wl.mailspike.net]
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (gabrielhondet[at]gmail.com)
 1.3 URI_HEX                URI: URI hostname has long hexadecimal sequence
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, When I try to use opam, it fails: $ opam install menhir
    
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ocaml.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.51.188.92 listed in wl.mailspike.net]
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (gabrielhondet[at]gmail.com)
  1.3 URI_HEX                URI: URI hostname has long hexadecimal sequence
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

--=-=-=
Content-Type: text/plain

Hi,

When I try to use opam, it fails:

$ opam install menhir

#=== ERROR while compiling ocaml-system.4.07.1 ================================#
# context     2.0.1 | linux/x86_64 |  | https://opam.ocaml.org#34f81c06
# path        ~/.opam/default/.opam-switch/build/ocaml-system.4.07.1
# command     ~/.opam/opam-init/hooks/sandbox.sh build ocaml gen_ocaml_config.ml
# exit-code   1
# env-file    ~/.opam/log/ocaml-system-12254-60459a.env
# output-file ~/.opam/log/ocaml-system-12254-60459a.out
### output ###
# bwrap: execvp ocaml: No such file or directory

and if I do (in fish)
$ set -x OPAM_USER_PATH_RO /home/gabriel/.guix-profile/bin/

then I obtain the error:

$ opam install menhir

#=== ERROR while compiling ocaml-system.4.07.1 ================================#
# context     2.0.1 | linux/x86_64 |  | https://opam.ocaml.org#34f81c06
# path        ~/.opam/default/.opam-switch/build/ocaml-system.4.07.1
# command     ~/.opam/opam-init/hooks/sandbox.sh build ocaml gen_ocaml_config.ml
# exit-code   1
# env-file    ~/.opam/log/ocaml-system-13887-6cc03f.env
# output-file ~/.opam/log/ocaml-system-13887-6cc03f.out
### output ###
# bwrap: Can't mkdir parents for /home/gabriel/.guix-profile/bin/: No such file or directory

Any idea on how to fix this?

Thanks,
Gabriel

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEE5ercJXBcjd3P1FcAMbyBBfZZ1CUFAlxwYfUACgkQMbyBBfZZ
1CXOzQ//UYZYEt3eSbYNH+PSFe5+pY7pfR3BTmoZJPTnGGZtSVZV5cSHZZH8l4AB
UOfA1zPX1hiyk1wqj8Y70avrdpRLuEMe2KUfkkuLsGvMpGw7GSwQj6mKPbMYACcD
+xZhU3RzlU565MHzZ590ycE2j+vyMvViXT9o78oYIPY/a0WRvFiaZTJw7h6UPSBc
aLAOWQn8ydsXocVGv92EjuyiZH+rZO22jeiBKebRSvaVbjBBD7pYqxscJjzcOTtH
PAH9bQbZP6dK9XMgI2IP3EYU+57MMjjCl4EoxxaJOCa36h/FvDFojlzfP4SjF8wI
Zshq4z+so9fgAOs87UH4oawKGlpLG8mBqsgpLel/MZsP/QvhzAD7gloMv/2BAnBS
rZnOB/ckAZrG7zBbhFsavpxICBibyRSj/7MNs2pAL80jehzzU3/WWhbw0ZYd9gbC
NF4g1QbZrT7Bac81fMa4uaUAZx7MJdtGSeUrg0jtYMv3CpdpqOgNcYPahkYMJRpn
K6iJdhDF6QAbmwtc2g/QvSDT07P4pFEgsFrXXg9W0hYwkws15MvfRwuHiwIAkXef
tJ/AqnXZElfAP5PF+X1zRV/kmZ26md5zNCmdtpuheA/qayiyyXG25bplIKDz73jW
t1ucGC1saTpYF6eIFNR/t14tnpn6Y/DsYNXlaS9QAziprdfn0GU=
=F3VW
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Gabriel Hondet <gabrielhondet@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#34620; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.